import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;


public class LoadGeneralCSV {

	/**
	 * @param args
	 */
	
	private DatabaseLoader dataBaseLoader;
	private String fileName;
	private String tableName;

	public LoadGeneralCSV(DatabaseLoader dbLoader, String fileName, String tableName) {
		this.dataBaseLoader = dbLoader;
		this.fileName = fileName;
		this.tableName = tableName;
	}
	
	public void LoadCSV() throws IOException{
		FileReader fr = new FileReader(fileName);
		BufferedReader br = new BufferedReader(fr);
		String s;
		int count = 1;
		String queryHeader = "";
		boolean alreadyDidHeaders =false;
		
		br.readLine(); // trash the headers

		while ((s = br.readLine()) != null && !s.equals("")) {
			boolean seemQuotes =false;
			char charArray[] =  s.toCharArray();
			String query ="INSERT INTO " + tableName + " VALUES (";
		     for (int i = 0; i < charArray.length; i++){
		    	 if(charArray[i]=='\"'){
		    		 seemQuotes = !seemQuotes;
		    	 }
		    	 if(!seemQuotes && charArray[i]==','){
		    		 charArray[i]='®';
		    	 }
		    	 if(charArray[i]=='\''){
		    		 charArray[i] ='*';
		    	 }
		     }
		     s=String.valueOf(charArray);
		     
			
			
			String[] entries = s.split("®");
			for (String entry : entries) {
				query += "'" + entry.replace("\"","") + "', ";
			}
			query = query.substring(0,(query.lastIndexOf(","))) + ")";
			dataBaseLoader.runQuery(query);
		}
	}	

}
