
import java.io.File;
import java.io.IOException;
import java.sql.SQLException;
import java.text.DateFormat;
import java.util.Date;

public class Walker {
	public static void main(String[] args) throws Exception {
		String directory = args[0];
		// String directory ="/home/scratch/dgg6b/send/sources/";
		// String fileName =
		// "/home/f85/dggraham/Downloads/sfRawDownloadsData2007-Dec.csv"
		// ;//args[0];
		// String tableName = "projectDownloads"; //args[1];
		String failedQueries = args[1];
		// Date now = new Date();
		System.out.println("Connecting Database Loader");
		DatabaseLoader db = new DatabaseLoader(
				"jdbc:mysql://localhost/qualityresults", "USERNAME", "PASSWORD",
				failedQueries);
		// db.runQuery("INSERT INTO tony (name) VALUES ('"+now.toString()+"')");
		System.out.println("Setting up CSV loader");
		LoadCSV loadCSV = new LoadCSV(db);
		System.out.println("Recursing directory");
		walkin(new File(directory), loadCSV);
		// LoadGeneralCSV lgc = new LoadGeneralCSV(db, fileName, tableName);
		// lgc.LoadCSV();
		System.out.println("finished now doing clean up");
		db.cleanUP();
	}

	/**
	 * Recursive function to descend into the directory tree and find all the
	 * files that end with ".csv"
	 * 
	 * @param dir
	 *            A file object defining the top directory
	 * @throws Exception
	 **/
	public static void walkin(File dir, LoadCSV loadCSV) {
		String pattern = ".csv";
		//String pattern2 = ".txt";

		File listFile[] = dir.listFiles();
		if (listFile != null) {
			for (int i = 0; i < listFile.length; i++) {
				if (listFile[i].isDirectory()) {
					System.out.println(listFile[i].getPath());
					walkin(listFile[i], loadCSV);
				} else {
					// listFile[i].getName().endsWith(pattern)|
					if (listFile[i].getName().endsWith(pattern)) {
						try {
							System.out.println(listFile[i].getPath());
							loadCSV.Loadfile(listFile[i].getPath().toString());
						} catch (Exception e) {
							System.out.print("Error in recusing directory");
							System.out.print(e);
						}

					}
				}
			}
		}
	}
}
